<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables</title>
</head>
<body>
	<h2>Welcome to the Table Page</h2>
	<ul>
		<li><a href="./index.html">Home</a></li>
		<li><a href="./form.html">Forms</a></li>
		<li><a href="../activity/contact.html">Contact</a></li>
	</ul>

	<!-- div is a container of text and other elements or even other divs. It represents a division in our page. The difference between a span and a div is displayed as a block element. -->

	<!-- id attribute allows us to add a unique identifier to a unique element in a page. id allows us to design a particular element or even add JS features to that element. the value of id attribute is user defined. -->

	<!-- Semantic Div, is a div which uniquely identified with an id that clearly defines the content and the purpose of the div. -->

	<div id="mainContent">
		<h3>HTML Entities</h3>
		<p>
			<em>There are reserved characters in HTML. (e.g. &lt; or &gt;)</em>
		</p>
		<p>
			HTML Entities start with an ampersand (&) and ends with a semicolon (;)
		</p>

	<table border="1">

		<!-- tables can be divided by thead, tbody, and tfoot
		
		thead will contain all the table headers or labels per column

		tbody contains the actual table date

		tfoot will contain a footer which is additional information about the table -->

		<thead>

			<!-- tr table row, it allows to properly contain our th or tds in a row. -->

			<tr>

				<!-- th means table header it allows us to add cells which will be our headers. Texts in th are bolded. -->

				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>
		<tbody>

			<!-- td means table data. It allows to add cells with our actual table data. Text here are not bolded. -->

			<tr>
				<td>&lt;</td>
				<td>lt</td>
				<td>Less Than</td>
			</tr>
			<tr>
				<td>gt;</td>
				<td>gt</td>
				<td>Greater Than</td>
			</tr>
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>Peso Sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>Ampersand</td>
			</tr>
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>Double Quotation Mark</td>
			</tr>
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>Apostrophe (Single Quotation Mark)</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<th colspan="3">These are some common HTML Entities. There are many more to be learned.</th>
			</tr>
		</tfoot>
	</table>

	<hr>
	<h3>My Product List</h3>
	<table border="1">
		<thead>
			<tr>
				<th>Name</th>
				<th>Price</th>
				<th>Description</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Salt</th>
				<td>5.00</th>
				<td>Spice</th>
			</tr>
			<tr>
				<td>Ketchup</th>
				<td>10.00</th>
				<td>Condiment</th>
			</tr>
			<tr>
				<td>C2</th>
				<td>25.00</th>
				<td>Beverage</th>
			</tr>
			<tr>
				<td>Nova</th>
				<td>15.00</th>
				<td>Junkfood</th>
			</tr>
			<tr>
				<td>Kopiko</th>
				<td>35.00</th>
				<td>Coffee</th>
			</tr>
		</tbody>
	</table>

	</div>

	<!-- tables are created using the table tag -->

</body>
</html>